Uncontrolled Memory Allocation

Affecting io.netty:netty-codec artifact, versions [4.1.0.Final, 4.1.46.Final)

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

io.netty:netty-codec is an event-driven asynchronous network application framework.

Affected versions of this package are vulnerable to Uncontrolled Memory Allocation while decoding a ZlibEncoded byte stream. An attacker could send a large ZlibEncoded byte stream to the Netty server, forcing the server to allocate all of its free memory to a single decoder.

Remediation

Upgrade io.netty:netty-codec to version 4.1.46.Final or higher.

References

CVSS Score

8.2
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    Low
  • Availability
    High
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:H
Credit
Scott Mitchell
CVE
CVE-2020-11612
CWE
CWE-789
Snyk ID
SNYK-JAVA-IONETTY-564897
Disclosed
07 Apr, 2020
Published
07 Apr, 2020